Name: jadetex
Version: 3.12
Release: alt6

Packager: Yurix <yurix@altlinux.ru>

%define TeXdir %(cd `kpsewhich -expand-var '$TEXMFMAIN'`/../..; pwd)

Group: Publishing
Summary: TeX macros used by Jade TeX output
Summary(ru_RU.KOI8-R):  TeX   DVI  PDF   OpenJade
License: Distributable (C) Sebastian Rahtz <s.rahtz@elsevier.co.uk>

URL: http://jadetex.sourceforge.net/
Source:%name-%version.tar.bz2
Source1:%name-ru-test-0.1.tar.bz2
Patch1: %name-3.12-rh-theta.patch
Patch2: %name-3.12-alt-urwtex.patch

BuildArch: noarch
BuildPreReq: tetex-latex >= 2.0 urw-tex
Requires: tetex-core >= 2.0

%Description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files, to obtain DVI, Postscript
or PDF files for example.

%package urw-test
Group: Publishing
Summary: Example SGML, DSSSL and Makefile to test jadetex urw-tex fonts support
Summary(ru_RU.KOI8-R):  SGML, DSSSL  Makefile     jadetex   urw-tex
License: GPL
%Description urw-test
Additional example that could be used to test JadeTeX uwr-fonts support. It also
demonstrates how to correctly process Russian SGML and DSSSL data with OpenJade
and JadeTeX.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
tar jxvf %SOURCE1

%build
%make_build

%install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR
make install DESTDIR=$DESTDIR
mkdir -p ${DESTDIR}%TeXdir/bin
ln -s virtex $RPM_BUILD_ROOT%prefix/bin/jadetex
ln -s pdfvirtex $RPM_BUILD_ROOT%prefix/bin/pdfjadetex
mkdir -p ${DESTDIR}%_mandir/man1/
cp -a *.1 ${DESTDIR}%_mandir/man1/
bzip2 ${DESTDIR}%_mandir/man1/*.1
#mkdir -p %buildroot/%_docdir/

%post
/usr/bin/env - %TeXdir/bin/texhash 2> /dev/null
exit 0

%files
%doc ChangeLog doc
%TeXdir/share/texmf/web2c/%name.fmt
%TeXdir/share/texmf/web2c/pdf%name.fmt
%TeXdir/share/texmf/tex/%name/dsssl.def
# %TeXdir/share/texmf/tex/%name/isoents.tex
%TeXdir/share/texmf/tex/%name/%name.ltx
%TeXdir/bin/jadetex
%TeXdir/bin/pdfjadetex
%_mandir/man?/*

%files urw-test
%doc ru-test

%changelog
* Sat Feb 01 2003 Yurix <yurix@altlinux.ru> 3.12-alt6
- Rebuild against tetex-2.0-alt1

* Fri Jan 17 2003 Alexander Bokovoy <ab@altlinux.ru> 3.12-alt5
- Rebuild against tetex-2.0-alt0.8 since plain.tex has been changed
  by D.Knuth.

* Sun Jan 12 2003 Yurix <yurix@altlinux.ru> 3.12-alt4
- add urw-tex to BuildPreReq to fix missing urw support
- move ru-test to separate package

* Sat Dec 07 2002 Yurix <yurix@altlinux.ru> 3.12-alt3
- add support for urw-tex fonts
- add example for russian users

* Wed Dec 04 2002 AEN <aen@altlinux.ru> 3.12-alt2
- rebuild with new tetex

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 3.12-alt1
- 3.12

* Mon Dec 03 2001 Stanislav Ievlev <inger@altlinux.ru> 3.11-alt1
- 3.11

* Sun Dec 24 2000 AEN <aen@logic.ru>
- adopted for RE

* Mon Oct 16 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-5mdk
- use hugelatex instead of latex

* Wed Oct 11 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-4mdk
- Add support for Italian with patch i18n

* Mon Sep 11 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-3mdk
- Why was the binary missing?

* Mon Aug 28 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-2mdk
- add buildrequires and rebuild upon new tetex release

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-1mdk
- 2.20
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance

